org.apache.tomcat.util.net

## Class AprEndpoint.SocketProcessor

- java.lang.Object
- - org.apache.tomcat.util.net.SocketProcessorBase<Long>
  - - org.apache.tomcat.util.net.AprEndpoint.SocketProcessor

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    AprEndpoint

      protected class AprEndpoint.SocketProcessor
      extends SocketProcessorBase<Long>

  This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.net.SocketProcessorBase

      `event, socketWrapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AprEndpoint.SocketProcessor(SocketWrapperBase<Long> socketWrapper, SocketEvent event)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doRun()`

    - ### Methods inherited from class org.apache.tomcat.util.net.SocketProcessorBase

      `reset, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AprEndpoint.SocketProcessor

          public AprEndpoint.SocketProcessor(SocketWrapperBase<Long> socketWrapper,
                                     SocketEvent event)

  - ### Method Detail

    - #### doRun

          protected void doRun()

      Specified by:
        `doRun` in class `SocketProcessorBase<Long>`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.